Name:           calcforge-release
Version:        21
Release:        1
Summary:        repo.calcforge.org RPM Repository Configuration

Group:          System Environment/Base
License:        BSD
URL:            http://repo.calcforge.org/
Source0:        RPM-GPG-KEY-calcforge
Source1:        calcforge.repo
Source2:        calcforge-sources.list
Source3:        calcforge.channel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
# If apt is around, it needs to be a version with repomd support
Conflicts:      apt < 0.5.15lorg3

%description
The repo.calcforge.org repository contains Free Software and other distributable
software (free for non-commercial use) related to TI calculators packaged for
Fedora.

This package contains the repository GPG key as well as configuration
for the Yum, Smart, and APT-RPM package managers.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT

# common
install -Dpm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-calcforge

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

# apt with repomd
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/apt/{gpg,sources.list.d}
install -m 644 -p %{SOURCE2} \
    $RPM_BUILD_ROOT%{_sysconfdir}/apt/sources.list.d/calcforge.list
ln -s ../../pki/rpm-gpg/RPM-GPG-KEY-calcforge \
    $RPM_BUILD_ROOT%{_sysconfdir}/apt/gpg/gpg-pubkey-1634f842-460db92d

# smart
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/smart/channels
install -pm 644 %{SOURCE3} \
    $RPM_BUILD_ROOT%{_sysconfdir}/smart/channels

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{__sed} -i -e s/VERSION/%{version}/g -e 's/\([Ff]edora.\)\([6789]\|1[0123456789]\|20\)/\1%{version}/g' -e s/ARCH/$(uname -i)/g %{_sysconfdir}/smart/channels/calcforge.channel

%files
%defattr(-,root,root,-)
%{_sysconfdir}/pki/rpm-gpg/*
%config %{_sysconfdir}/yum.repos.d/*
%dir %{_sysconfdir}/smart/
%config %{_sysconfdir}/smart/channels/
%config %{_sysconfdir}/apt/

%changelog
* Sat Dec 20 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> 21-1
- Update for Fedora 21.

* Wed Jan  8 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> 20-1
- Update for Fedora 20.

* Wed Jul 24 2013 Kevin Kofler <Kevin@tigcc.ticalc.org> 19-1
- Update for Fedora 19.

* Thu Jan 24 2013 Kevin Kofler <Kevin@tigcc.ticalc.org> 18-1
- Update for Fedora 18.

* Mon Jun  4 2012 Kevin Kofler <Kevin@tigcc.ticalc.org> 17-1
- Update for Fedora 17.

* Fri Nov 11 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> 16-1
- Update for Fedora 16.

* Tue May 17 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> 15-1
- Update for Fedora 15.

* Sun Oct 31 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> 14-1
- Update for Fedora 14.

* Mon May 10 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> 13-1
- Update for Fedora 13.

* Wed Nov 11 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 12-1
- Update for Fedora 12.

* Mon Sep 28 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 11-2
- Update sed magic for smart channel to support upgrades from 10-1.

* Wed Jun 10 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 11-1
- Update for Fedora 11.
- Remove unneeded Requires: fedora-release (support other *-release packages).

* Fri May  2 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 9-1
- Update for Fedora 9.

* Sun Jan 13 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 8-1
- Update for Fedora 8.

* Thu Jun  7 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 7-2
- Update Fedora version in calcforge.channel properly.

* Thu Jun  7 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 7-1
- Rebuild for Fedora 7.

* Sat Mar 31 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 6-2
- Add non-free repo.

* Sat Mar 31 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 6-1
- Replace livna with calcforge, update summary and description.
- Remove devel and testing repos and livna-smart-distro.py.
- Replace livna-smart-channels.sh with calcforge.channel based on remi.channel.
- Change repository URLs to point to repo.calcforge.org.
- Change apt gpg pubkey ID to RPM-GPG-KEY-calcforge's.

* Sun Oct 15 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> 6-1
- Build for FC6

* Wed Jul 19 2006 Ville Skyttä <ville.skytta at iki.fi> - 5-8
- Fix livna-smart-mirrors.sh on ix86 (#1099).

* Fri Jun 30 2006 Ville Skyttä <ville.skytta at iki.fi> - 5-7
- Add atrpms.net mirror.

* Mon May 22 2006 Ville Skyttä <ville.skytta at iki.fi> - 5-6
- Install APT config as usual.
- Update description.

* Sat May 13 2006 Ville Skyttä <ville.skytta at iki.fi> - 5-5
- Add config for Smart and APT with repomd (the latter as doc only for now).
- Add tummy.com yum mirror.

* Tue Mar 21 2006 Ville Skyttä <ville.skytta at iki.fi> - 5-4
- Fix source URLs in repo files.

* Sun Mar 19 2006  Thorsten Leemhuis <fedora[AT]leemhuis.info> 5-3
- small cleanups, add source

* Sat Mar 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 5-2
- split testing from normal repo file
- drop dist (really makes no sense)

* Sat Mar 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 5-1
- prep for release 5
- add development files

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist

* Sat Nov  5 2005 Dams <anvil[AT]livna.org> - 4-0.lvn.7
- Replacing repo file (s/noreplace//)

* Sat Nov  5 2005 Dams <anvil[AT]livna.org> - 4-0.lvn.6
- Updated repo with failovermethod=priority

* Thu Aug  4 2005 Dams <anvil[AT]livna.org> - 4-0.lvn.5
- 3rd mirror (ftp-stud.fht-esslingen.de) in repo file.

* Mon Jul 18 2005 Dams <anvil[AT]livna.org> - 4-0.lvn.4
- Updated repo file with tu-chemnitz mirror
- Added mirrorlist to repo file

* Tue Jun 14 2005 Dams <anvil[AT]livna.org> - 4-0.lvn.3
- repo file is now config/noreplace
- /etc/ -> _sysconfdir

* Mon Jun 13 2005 Dams <anvil[AT]livna.org> - 4-0.lvn.2
- Minor changes
- Merged 2 repo in files into one
- No exec permissions on installed files.

* Mon Jun 13 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> 4-0.lvn.1
- Update URLs
- Add livna-testing

* Sun Jun 12 2005 Renaud Mosselle <renaud@crazyfrogs.org> 4
- initial pkg
